Video driver for SIS 315

Ask for hardware advice here

Moderator: Pablo

Post Reply
JoeHenley
Contributor
Posts: 185
Joined: Sun Aug 06, 2006 4:12 pm

Video driver for SIS 315

Post by JoeHenley » Tue Mar 16, 2010 4:30 pm

Hi,

I'm running MM version 0.21.0-53. It's not current, but everything works.

I now have a "hand-me-down" Shuttle XPC, model SS-50. I thought I'd convert it into another FE. All is going OK except for the on-board video, a SIS 301/315. I was getting an error message that the video was not recognized:
" defaulting variables 'MM_HARDWARE' "
" error: no supported video hardware found. "

I looked in the udev files and see that sis is supported in this version, so I "tweaked" the files to include the PCI info for 0300:1039:6325. That gets me beyond that error, but after it boots and loads the kernel and then MM, it craps out with:
" configuring X ... "
" starting X ... "
" starting X "
" + none root:minimyth "
" stopping splash screen "
" no more processes left in this runlevel "

I poked around abit and couldn't find the sis driver in the files. I'm not sure there are any; the udev rules look for a sis chip, but the docs indicate there is no sis support until a later version.

I'd prefer not to update now to a later version of Myth. I'm going to replace my server soon so I want to do the BE and FE updates all at once.

Any suggestions how to get the sis chip working?

Thanks!

Joe Henley

Any suggestion

Pablo
Site Admin
Posts: 4182
Joined: Tue Dec 14, 2004 2:13 am
Location: La Jolla
Contact:

Re: Video driver for SIS 315

Post by Pablo » Sun Mar 21, 2010 10:14 pm

The SiS hardware support was not included in the default build until later, so there is on SiS Xorg driver in that version.
MiniMyth running on an Acer ApireRevo 3610 and a Zotac ZBOX-ID80-U. Find out more at my MythTV page.

JoeHenley
Contributor
Posts: 185
Joined: Sun Aug 06, 2006 4:12 pm

Re: Video driver for SIS 315

Post by JoeHenley » Sun Mar 21, 2010 11:32 pm

Hi Pablo,

Thanks for the reply.

Is there any easy way to compile just the one driver? I've found a couple of sources for source code, but I suspect compiling it might be "challenging." Or is installing a complete new version (0.21.0-72) the only reasonable recourse?

Thanks!

Joe Henley

Post Reply